Merhabalar bugün phpmyadmin ile yeni kullanıcı oluşturur iken mysql Your password does not satisfy the current policy requirements hatası sebebi nedir onu aktarmak isterim.

Phpmyadmin aracılığı ile mysql 5.6.6 sürümü kullanırken yeni bir kullanıcı eklemek istediğinizde eğer şifrenizde özel karakterler var ise ilk olarak bu hatayı alabiliyorsunuz.

Nasıl Çözülür?

  1.  ilk olarak şifre kısmına herhangi bir şekilde özel karakter girmemeniz gerekir ‘ #@! ‘ vs. şeklinde karakter olmamalıdır.
    1. Yukarıdaki işlemleri izler ve özel karakter girmediğinizde basit argümanlı şifreler oluşturmuş oluruz.
  2. Alt kısımda yazacağım işlem adımlarını izleyerek bu özelliği pasif edip daha güvenli şifreler oluşturabilirsiniz.
Terminal ile uzaktan makinenize bağlananınız
mysql -h localhost -u root -p
uninstall plugin validate_password;

yukarıdaki işlemleri izlediğinizde sayfayı yenileme işlemlerinden sonra artık özel karakterleri kullanarak şifre oluşturabilirsiniz.

mysql Your password does not satisfy the current policy requirements  daha detaylı hali ve ingilizce açıklaması için stack Overflow incleyebilirsiniz.